JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Attributes | List of all members
ARAFactoryResult Struct Reference
juce_audio_processors » format_types

Represents the result of AudioPluginFormatManager::createARAFactoryAsync(). More...

`#include <juce_ARACommon.h>`

## Public Attributes
ARAFactoryWrapper | araFactory
String | errorMessage

## Detailed Description

Represents the result of AudioPluginFormatManager::createARAFactoryAsync().

If the operation fails then araFactory will contain `nullptr`, and errorMessage may contain a reason for the failure.

The araFactory member ensures that the module necessary for the correct functioning of the factory will remain loaded.

## Member Data Documentation

## ◆ araFactory

ARAFactoryWrapper ARAFactoryResult::araFactory

## ◆ errorMessage

String ARAFactoryResult::errorMessage

The documentation for this struct was generated from the following file:

- juce_ARACommon.h